APIs / Hacker News / Item

Hacker News: Item

Item from Hacker News as JSON. 1 credit per successful call.

GET /v1/hacker-news/itemNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
idintegerRequiredAny
commentsbooleanOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/hacker-news/item?id=50068946&comments=1" \
  -H "X-API-Key: $API_KEY"